/*!
 * @file glgui_inputline.h
 * The gl_INPUTLINE widget of th openglGUI
 *
 */

#ifndef _GLGUI_INPUTLINE_H
#define _GLGUI_INPUTLINE_H

#include "glgui_widget.h"
#include "text.h"
#include "event.h"

// FORWARD DECLARATION
namespace OrxGui
{

  //! This is part of the openglGUI class
  /**
   *
   */
  class GLGuiInputLine : public OrxGui::GLGuiWidget
  {

  public:
    GLGuiInputLine();
    virtual ~GLGuiInputLine();

    void init();

    void setText(const std::string& text);
    void append(const std::string& appendText);
    void appendCharacter(char character);
    void removeCharacters(unsigned int chars);
    const std::string& getName() const { return this->text.getText(); };

    virtual void draw() const;

    virtual bool processEvent(const Event& event);

  private:
    Text                    text;
  };
}

#endif /* _GLGUI_INPUTLINE_H */
